Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junitutils
Class Utils.QuoteTokenizer

    java.lang.Object
      junitutils.Utils.QuoteTokenizer

Enclosing class:
  Utils

public static class Utils.QuoteTokenizer
extends java.lang.Object

An enumerator that parses a string into tokens, according to the rules a command-line would use. White space separates tokens, with double-quoted and single-quoted strings recognized.

Field Summary
`private char[]` | `cc` A char array representation of the String being tokenized
`private int` | `pos` The position in the char array
`private java.lang.String` | `ss` The String being tokenized

Constructor Summary
`Utils.QuoteTokenizer(java.lang.String s)` Initializes the tokenizer with the given String

Method Summary
`boolean` | `hasMoreTokens()`
`java.lang.String` | `nextToken()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ss

    private final java.lang.String ss

  The String being tokenized

### cc

    private final char[] cc

  A char array representation of the String being tokenized

### pos

    private int pos

  The position in the char array

Constructor Detail

### Utils.QuoteTokenizer

    public Utils.QuoteTokenizer(java.lang.String s)

  Initializes the tokenizer with the given String

Parameters:
  `s` - the String to be tokenized

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

  Returns:
    true if there are more tokens to be returned

### nextToken

    public java.lang.String nextToken()

  Returns:
    the next token if there is one, otherwise null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage